# harmonic ratios as fractions

from fractions import Fraction

unison=Fraction(1,1)
octave=Fraction(2,1)
perfect5th=Fraction(3,2)
perfect4th=Fraction(4,3)
major3rd=Fraction(5,4)
minor3rd=Fraction(6,5)
majortone=Fraction(9,8)
minortone=Fraction(10,9)
semitone=Fraction(16,15)

print(unison,octave,perfect5th,perfect4th,major3rd,
      minor3rd,majortone,minortone,semitone)

print(perfect5th.numerator,perfect5th.denominator)